// pages/ispServers/detail.js
const utils = require('../../utils/util.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    machineId: '',
    result: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      machineId: options.machineId
    })
    this.getDetail()
  },

  //详情
  getDetail() {
    let params = {
      machineId: this.data.machineId
    }
    utils.axios({
      method: 'get',
      url: '/sys/isp/machineInfo/findByMachineId',
      data: params,
      sendBefore() {
        wx.showNavigationBarLoading()
      },
      complete() {
        wx.hideNavigationBarLoading()
        wx.stopPullDownRefresh()
      },
      success: res => {
        this.setData({
          result: res.data
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})